<div class="spaceship-container">
    <div class="header">
        <img src="modules/registrars/spaceship/logo.png" alt="Spaceship" class="logo">
        <h3>Domain Management</h3>
    </div>
    
    {if $operation_message}
    <div class="alert alert-{if $operation_success}success{else}warning{/if}">
        {$operation_message}
    </div>
    {/if}
    
    <div class="domain-info">
        <div class="row">
            <div class="col-md-6">
                <h4>Domain Information</h4>
                <table class="table table-bordered">
                    <tr>
                        <th>Domain Name</th>
                        <td>{$domain}</td>
                    </tr>
                    <tr>
                        <th>Status</th>
                        <td>{$status}</td>
                    </tr>
                    <tr>
                        <th>Expiration Date</th>
                        <td>{$expiry_date}</td>
                    </tr>
                </table>
            </div>
            <div class="col-md-6">
                <h4>Nameservers</h4>
                <table class="table table-bordered">
                    {foreach $nameservers as $ns}
                    <tr>
                        <td>{$ns}</td>
                    </tr>
                    {/foreach}
                </table>
            </div>
        </div>
    </div>
</div>

<style>
.spaceship-container {
    max-width: 1200px;
    margin: 0 auto;
    padding: 20px;
}
.spaceship-container .header {
    display: flex;
    align-items: center;
    margin-bottom: 20px;
}
.spaceship-container .logo {
    height: 40px;
    margin-right: 15px;
}
.domain-info {
    background: #f9f9f9;
    padding: 20px;
    border-radius: 5px;
}
</style>