<?php

$_LANG['spaceshipdomainregistrar'] = [
    'module_name' => 'Spaceship Domain Registrar Module',
    'module_description' => 'The Spaceship Domain Registrar Module is a powerful, fully-integrated WHMCS plugin that enables seamless domain management via Spaceship’s API. Supporting both production and sandbox environments (sandbox is still in testing phase), it aims to deliver end-to-end automation for domain registration, transfers, renewals, DNS management, contact handling, DNSSEC, and EPP code processing.<br>Designed for performance and compliance, it includes native WHMCS integration, multilingual support, GDPR-ready data handling, ICANN compliance features, secure API authentication, and bulk operations. With detailed logging, diagnostic tools, and a customizable interface, the module offers a robust and scalable solution for hosting providers and domain resellers.',
    
    // Domain statuses
    'status_active' => 'Active',
    'status_expired' => 'Expired',
    'status_pending' => 'Pending',
    'status_transferred' => 'Transferred',
    
    // Operations
    'domain_registered' => 'Domain registered successfully',
    'domain_transferred' => 'Domain transfer initiated',
    'domain_renewed' => 'Domain renewed successfully',
    'nameservers_updated' => 'Nameservers updated',
    'dns_updated' => 'DNS records updated',
    'lock_updated' => 'Registrar lock updated',
    'eppcode_retrieved' => 'Authorization code retrieved',
    'contacts_updated' => 'Contact details updated',
    
    // Errors
    'error_occurred' => 'Error Occurred',
    'invalid_credentials' => 'Invalid API credentials',
    'domain_not_found' => 'Domain not found',
    'contact_not_found' => 'Contact not found',
    'api_error' => 'API Error: %s',
    'connection_error' => 'Connection error',
    'invalid_domain' => 'Invalid domain name',
    'missing_parameters' => 'Missing required parameters',
    
    // UI
    'domain_management' => 'Domain Management',
    'domain_details' => 'Domain Details',
    'nameservers' => 'Nameservers',
    'expiry_date' => 'Expiry Date',
    'go_back' => 'Go Back',
    'toggle_debug' => 'Toggle Debug',
    'show_debug' => 'Show Debug Info',
    'hide_debug' => 'Hide Debug Info',
    
    // Debug
    'debug_enabled' => 'Debug logging enabled',
    'debug_disabled' => 'Debug logging disabled'
];