<div class="SpaceshipDomainRegistrar-error-container">
    <div class="SpaceshipDomainRegistrar-error-header">
        <img src="modules/registrars/SpaceshipDomainRegistrar/logo.png" alt="Spaceship Domain Registrar Module" class="SpaceshipDomainRegistrar-logo">
        <h3>{$LANG.SpaceshipDomainRegistrar.error_occurred}</h3>
    </div>

    <div class="alert alert-danger">
        <div class="error-message">
            <i class="fas fa-exclamation-circle"></i>
            <strong>{$LANG.SpaceshipDomainRegistrar.error}:</strong> {$error}
        </div>

        {if $debug}
        <div class="error-debug">
            <button class="btn btn-sm btn-default toggle-debug">
                {$LANG.SpaceshipDomainRegistrar.toggle_debug}
            </button>
            <div class="debug-content" style="display:none;">
                <pre>{$debug|escape:'html'}</pre>
            </div>
        </div>
        {/if}
    </div>

    <div class="error-actions">
        <a href="javascript:history.back()" class="btn btn-primary">
            <i class="fas fa-arrow-left"></i> {$LANG.SpaceshipDomainRegistrar.go_back}
        </a>
    </div>
</div>

<style>
.SpaceshipDomainRegistrar-error-container {
    max-width: 800px;
    margin: 30px auto;
    padding: 20px;
}
.SpaceshipDomainRegistrar-error-header {
    display: flex;
    align-items: center;
    margin-bottom: 20px;
}
.SpaceshipDomainRegistrar-logo {
    height: 40px;
    margin-right: 15px;
}
.error-debug {
    margin-top: 15px;
}
.debug-content {
    margin-top: 10px;
    padding: 10px;
    background: #f8f9fa;
    border: 1px solid #ddd;
    border-radius: 4px;
    max-height: 300px;
    overflow: auto;
}
.error-actions {
    margin-top: 20px;
    text-align: center;
}
</style>

<script>
$(document).ready(function() {
    $('.toggle-debug').click(function() {
        $(this).next('.debug-content').toggle();
        $(this).text(function(i, text) {
            return text === "{$LANG.SpaceshipDomainRegistrar.show_debug}" 
                ? "{$LANG.SpaceshipDomainRegistrar.hide_debug}" 
                : "{$LANG.SpaceshipDomainRegistrar.show_debug}";
        });
    });
});
</script>